proc ddhboxconform_makeframe {} {

   global ddhboxconform_assume_dimensions
   global ddhboxconform_box_name
   set ddhboxconform_assume_dimensions 0
   set ddhboxconform_box_name ""

   toplevel .ddhboxconform
   wm title .ddhboxconform "Box conform"
   wm transient .ddhboxconform [winfo toplevel [winfo parent .ddhboxconform]]

   set width 6
   set ypad 3

   # Set boxconform
   frame .ddhboxconform.frmset
   pack .ddhboxconform.frmset -side top -fill x

   entry .ddhboxconform.frmset.txtbox -textvariable ddhboxconform_box_name
   pack .ddhboxconform.frmset.txtbox -side left -fill x -expand 1
   button .ddhboxconform.frmset.btnset -text "Set box" -command {
      eval ac3d ddhboxconform_set
   }
   pack .ddhboxconform.frmset.btnset -side right -fill x -expand 1

   # Space
   frame .ddhboxconform.frmspace1
   pack .ddhboxconform.frmspace1 -side top -fill x -pady $ypad

   # Options
   frame .ddhboxconform.frmopts
   pack .ddhboxconform.frmopts -side top -fill x

   checkbutton .ddhboxconform.frmopts.cb_asdm -text "Assume box's dimensions" -variable ddhboxconform_assume_dimensions
   pack .ddhboxconform.frmopts.cb_asdm -side top

   # Space
   frame .ddhboxconform.frmspace2
   pack .ddhboxconform.frmspace2 -side top -fill x -pady $ypad

   # Go
   frame .ddhboxconform.frmbtn
   pack .ddhboxconform.frmbtn -side top -fill x

   button .ddhboxconform.frmbtn.btnapplyxy -text "Go" -command {
      eval ac3d ddhboxconform_go $ddhboxconform_assume_dimensions
   }
   pack .ddhboxconform.frmbtn.btnapplyxy -side top -fill x -expand 1

}

proc ddhboxconform_dialog {} {

   if ![winfo exists .ddhboxconform] {
      ddhboxconform_makeframe
   }

   wm deiconify .ddhboxconform
   centre_window_on_screen .ddhboxconform

}

